- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Xapian::FieldProcessor Class Referenceabstract

Base class for field processors. More...

Inherits opt_intrusive_base.

## Public Member Functions
| FieldProcessor ()
| Default constructor.
virtual | ~FieldProcessor ()
| Destructor.
virtual Xapian::Query | operator() (const std::string &str)=0
| Convert a field-prefixed string to a Query object. More...

## Detailed Description

Base class for field processors.

Experimental API - may change.

## Member Function Documentation

virtual Xapian::Query Xapian::FieldProcessor::operator() | ( | const std::string & | str | ) |
| pure virtual

Convert a field-prefixed string to a Query object.

Parameters

  str | The string to convert.

Returns
  Query object corresponding to str.

The documentation for this class was generated from the following file:

- xapian/queryparser.h